> ## Documentation Index
> Fetch the complete documentation index at: https://docs.privy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update wallet

Propose an intent to update a wallet -- for example, to change its owner, additional signers, or policies.

This endpoint accepts the same request body as the synchronous [Update wallet](/api-reference/wallets/update) endpoint but does **not** require authorization signatures in the request.

<Info>
  Intents expire 72 hours after creation by default. Signers must
  [authorize](/transaction-management/intents/sign-intents) them within this window.
</Info>

<Tabs>
  <Tab title="REST API">
    ```bash theme={"system"}
    curl -X PATCH https://api.privy.io/v1/intents/wallets/<wallet_id> \
      -u "<your-privy-app-id>:<your-privy-app-secret>" \
      -H "privy-app-id: <your-privy-app-id>" \
      -H "Content-Type: application/json" \
      -d '{
        "policy_ids": ["new-policy-id"]
      }'
    ```
  </Tab>

  <Tab title="Node SDK">
    ```typescript {skip-check} theme={"system"}
    import {PrivyClient, type IntentUpdateWalletParams} from '@privy-io/node';

    const client = new PrivyClient({
      appId: 'your-app-id',
      appSecret: 'your-app-secret'
    });

    const walletUpdate: IntentUpdateWalletParams = {
      policy_ids: ['new-policy-id']
    };

    const intent = await client.intents().updateWallet('insert-wallet-id', walletUpdate);

    console.log(intent.intent_id, intent.status, intent.authorization_details);
    ```
  </Tab>

  <Tab title="Go SDK">
    ```go theme={"system"}
    import privy "github.com/privy-io/go-sdk"

    client := privy.NewPrivyClient(privy.PrivyClientOptions{
        AppID:     "your-app-id",
        AppSecret: "your-app-secret",
    })

    intent, err := client.Intents.UpdateWallet(ctx, "wallet-id", privy.IntentUpdateWalletParams{
        WalletUpdateRequestBody: privy.WalletUpdateRequestBody{
            PolicyIDs: []string{"new-policy-id"},
        },
    })
    ```
  </Tab>

  <Tab title="Ruby SDK">
    ```ruby theme={"system"}
    require "privy"

    client = Privy::PrivyClient.new(
      app_id: "your-app-id",
      app_secret: "your-app-secret"
    )

    intent = client.intents.update_wallet(
      "wallet-id",
      policy_ids: ["new-policy-id"]
    )

    puts(intent.intent_id, intent.status, intent.authorization_details)
    ```
  </Tab>

  <Tab title="Java SDK">
    ```java theme={"system"}
    import io.privy.api.PrivyClient;
    import io.privy.api.models.components.WalletUpdateRequestBody;
    import io.privy.api.models.operations.IntentWalletUpdateResponse;
    import java.util.List;

    PrivyClient client = PrivyClient.builder()
        .appId("your-privy-app-id")
        .appSecret("your-app-secret")
        .build();

    IntentWalletUpdateResponse intent = client.intents().updateWallet(
        "insert-wallet-id",
        WalletUpdateRequestBody.builder()
            .policyIds(List.of("new-policy-id"))
            .build(),
        null);
    ```
  </Tab>
</Tabs>

View the [API reference](/api-reference/intents/update-wallet) for submitting a wallet intent.

## Next steps

<CardGroup cols={2}>
  <Card title="Sign intents" icon="signature" href="/transaction-management/intents/sign-intents">
    Add authorization signatures to execute a proposed intent.
  </Card>

  <Card title="Intent status" icon="arrows-spin" href="/transaction-management/intents/lifecycle">
    Track an intent from proposal to execution.
  </Card>
</CardGroup>
